%global gem_name occi-cli

Name:           rubygem-%{gem_name}
Version:        4.2.5
Release:        1%{?dist}
Summary:        Executable OCCI client

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/gwdg/rOCCI-cli
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  ruby(release) >= 1.9.3
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(json)
BuildRequires:  rubygem(occi-api) => 4.2.5
BuildRequires:  rubygem(occi-api) < 4.3
BuildRequires:  rubygem(rspec)
# gem development dependencies not used:
# - builder
# - rake (required by rspec-core)
# - rubygems-tasks
# - simplecov
# - warbler
# - yard
# - yard-rspec
%if 0%{?fedora} && 0%{?fedora} <= 20 || 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(release) >= 1.9.3
Requires:       ruby(rubygems)
Requires:       rubygem(json)
Requires:       rubygem(highline)
Requires:       rubygem(occi-api) => 4.2.5
Requires:       rubygem(occi-api) < 4.3
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
This gem is a client implementation of the Open Cloud Computing Interface in
Ruby.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# remove developer-only files
for f in .gitignore .travis.yml .yardopts Gemfile Rakefile config/warble.rb; do
  rm $f
  sed -i "s|\"$f\",\?||g" %{gem_name}.gemspec
done

# standard shebang
sed -i '1{s,^#.*,#!/usr/bin/ruby,}' bin/occi


%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/


%check
pushd .%{gem_instdir}
rspec -Ilib spec
popd


%files
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{_bindir}/occi
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/spec
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/%{gem_name}.gemspec
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/doc/macosx.md


%changelog
* Sat Aug 02 2014 František Dvořák <valtri@civ.zcu.cz> - 4.2.5-1
- Initial package
